in scala.dbc.syntax
object Statement

`object` Statement
  `extends` java.lang.Object
  `with` scala.ScalaObject

Class Summary
`abstract` | `class` SelectBeyond
`abstract` | `class` SelectDerivedColumns
`abstract` | `class` SelectDerivedField
`abstract` | `class` SelectGroupBy
`abstract` | `class` SelectOf
`abstract` | `class` SelectSourceTable
`abstract` | `class` SelectSourceTables
`abstract` | `class` SelectZygote

Constructor Summary
| `def` this

Def Summary
| `def` select : Statement.this.SelectZygote
| `def` selectBag : Statement.this.SelectZygote
| `def` selectBeyondToStatementSelect (sb: Statement.this.SelectBeyond) : scala.dbc.statement.Select
| `def` selectDerivedFieldToSelectDerivedColumns (sdf: Statement.this.SelectDerivedField) : Statement.this.SelectDerivedColumns
| `def` selectSet : Statement.this.SelectZygote
| `def` selectSourceTableToSelectSourceTables (sct: Statement.this.SelectSourceTable) : Statement.this.SelectSourceTables
| `def` selectToSelectSourceTable (sct: scala.dbc.statement.Select) : Statement.this.SelectSourceTable
| `def` selectToSelectSourceTables (sct: scala.dbc.statement.Select) : Statement.this.SelectSourceTables
| `def` statementExpressionToSelectGroupBy (se: scala.dbc.syntax.StatementExpression) : Statement.this.SelectGroupBy
| `def` statementFieldToSelectDerivedField (fv: scala.dbc.syntax.StatementExpression.StatementField) : Statement.this.SelectDerivedField
| `def` stringToSelectDerivedColumns (sdfs: java.lang.String) : Statement.this.SelectDerivedColumns
| `def` stringToSelectDerivedField (fv: java.lang.String) : Statement.this.SelectDerivedField
| `def` stringToSelectGroupBy (se: java.lang.String) : Statement.this.SelectGroupBy
| `def` stringToSelectSourceTable (sct: java.lang.String) : Statement.this.SelectSourceTable
| `def` stringToSelectSourceTables (sct: java.lang.String) : Statement.this.SelectSourceTables

Constructor Detail

`def` this

Def Detail

`def` select : Statement.this.SelectZygote

`def` selectBag : Statement.this.SelectZygote

`def` selectBeyondToStatementSelect (sb: Statement.this.SelectBeyond): scala.dbc.statement.Select

`def` selectDerivedFieldToSelectDerivedColumns (sdf: Statement.this.SelectDerivedField): Statement.this.SelectDerivedColumns

`def` selectSet : Statement.this.SelectZygote

`def` selectSourceTableToSelectSourceTables (sct: Statement.this.SelectSourceTable): Statement.this.SelectSourceTables

`def` selectToSelectSourceTable (sct: scala.dbc.statement.Select): Statement.this.SelectSourceTable

`def` selectToSelectSourceTables (sct: scala.dbc.statement.Select): Statement.this.SelectSourceTables

`def` statementExpressionToSelectGroupBy (se: scala.dbc.syntax.StatementExpression): Statement.this.SelectGroupBy

`def` statementFieldToSelectDerivedField (fv: scala.dbc.syntax.StatementExpression.StatementField): Statement.this.SelectDerivedField

`def` stringToSelectDerivedColumns (sdfs: java.lang.String): Statement.this.SelectDerivedColumns

`def` stringToSelectDerivedField (fv: java.lang.String): Statement.this.SelectDerivedField

`def` stringToSelectGroupBy (se: java.lang.String): Statement.this.SelectGroupBy

`def` stringToSelectSourceTable (sct: java.lang.String): Statement.this.SelectSourceTable

`def` stringToSelectSourceTables (sct: java.lang.String): Statement.this.SelectSourceTables